# Remove group role assignments

`DELETE /v1/organizations/{organizationId}/groups/{groupId}/role-assignment`

Available as MCP tool `delete-org-group-role` (Delete).

Access control endpoints allow you to review and manage user role assignments. Organization and environment roles are managed separately. Furthermore, a user’s organizational role doesn't impact their assigned environment role, and vice versa. [Learn about roles](https://docs.redoxengine.com/permalink/1OBel3inQAjAnDbgd9QLzM). 

Generally, organization owners or admins can retrieve, assign, update, or remove role assignments. However, only organization owners can assign or remove organization roles specifically.

Organization owners and admins can create and manage access control groups. A group allows you to manage role assignments for an entire group of users at once. [Learn about groups](https://docs.redoxengine.com/permalink/1OBel3inQAjAnDbgd9QLzM/#assign-roles-with-groups).

> **Assign or add an organization role**
>
> We don't currently support assigning an organization role (i.e., adding a user to an organization) in the Redox dashboard. [Learn how to add a user](https://docs.redoxengine.com/permalink/5c0Yr43tA3HrfvhX2JR3WS).

### Remove group role assignments

Delete a group. All members immediately lose the group’s access level.

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `organizationId` | path | string | Yes | Identifies the Redox organization that you're operating in or on behalf of. |
| `groupId` | path | string | Yes | Contains the unique identifier of the group. |

## Request body

### One of: Option 1

Identifies one of the group's roles. Set `environment` for the group's role in that environment. Omit it, or set it to `null`, for the group's organization role.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `environment` | object, nullable | No |  |
| `environment.id` | string | Yes | Identifies the environment the role applies to. |

### One of: Option 2

Lists the roles to remove. Each entry names the organization role (no `environment`) or a role in one environment.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `roleAssignments` | Array of object | Yes |  |
| `roleAssignments[].environment` | object, nullable | No |  |
| `roleAssignments[].environment.id` | string | Yes | Identifies the environment the role applies to. |

## Request example

_Generated from the schema: the values are placeholders, not a real payload._

```bash
curl 'https://api.redoxengine.com/platform/v1/organizations/{organizationId}/groups/{groupId}/role-assignment' \
--request DELETE \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
  "environment": {
    "id": "string"
  }
}'
```

## Responses

### 200

Contains the payload with the status of the request.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `meta` | object | No |  |
| `meta.version` | string | No | Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences. |
| `payload` | object | No | Contains the payload with details about the requested environment memberships. |
| `payload.success` | boolean | No | Displays the status of the request. |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "meta": {
    "version": "1.0.0"
  },
  "payload": {
    "success": true
  }
}
```

### 400

Bad Request

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.id` | string | No | Contains a unique identifier for the given error instance. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Bad Request`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Bad Request",
      "code": "validation.error.bad.request",
      "detail": "Error details",
      "status": 400,
      "transient": false
    }
  }
}
```

### 403

Forbidden

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.errors` | Array of object | No |  |
| `payload.errors[].title` | string | No | Displays the high-level error message, typically something succinct like `Forbidden`. |
| `payload.errors[].code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |

```json
{
  "payload": {
    "errors": [
      {
        "title": "Forbidden",
        "code": "authorization.forbidden"
      }
    ]
  }
}
```

### 500

Internal Server Error

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `payload` | object | No | Contains the error message. |
| `payload.error` | object | No | Contains the error message details. |
| `payload.error.title` | string | No | Displays the high-level error message, typically something succinct like `Failed in step X`. |
| `payload.error.code` | string | No | Contains an alternative ID for the error type, which can be used to find relevant troubleshooting information. |
| `payload.error.detail` | string | No | Contains the specific error details for this message. |
| `payload.error.status` | number | No | Displays the corresponding HTTP status code for the error. |
| `payload.error.transient` | boolean | No | Describes whether the error will resolve itself. If `true`, no further action needs to be taken. If `false`, you may need to troubleshoot on your end to resolve the issue before the error can be processed. |

```json
{
  "payload": {
    "error": {
      "title": "Internal Server Error",
      "code": "failed.db.lookup",
      "detail": "Error details",
      "status": 500,
      "transient": true
    }
  }
}
```
